OpenJPEG: opj_tccp_info Struct Reference

OpenJPEG 2.5.0

Data Fields
opj_tccp_info Struct Reference

Tile-component coding parameters information. More...

`#include <openjpeg.h>`

## Data Fields
OPJ_UINT32 | compno
| component index
OPJ_UINT32 | csty
| coding style
OPJ_UINT32 | numresolutions
| number of resolutions
OPJ_UINT32 | cblkw
| log2 of code-blocks width
OPJ_UINT32 | cblkh
| log2 of code-blocks height
OPJ_UINT32 | cblksty
| code-block coding style
OPJ_UINT32 | qmfbid
| discrete wavelet transform identifier: 0 = 9-7 irreversible, 1 = 5-3 reversible
OPJ_UINT32 | qntsty
| quantisation style
OPJ_UINT32 | stepsizes_mant [OPJ_J2K_MAXBANDS]
| stepsizes used for quantization
OPJ_UINT32 | stepsizes_expn [OPJ_J2K_MAXBANDS]
| stepsizes used for quantization
OPJ_UINT32 | numgbits
| number of guard bits
OPJ_INT32 | roishift
| Region Of Interest shift.
OPJ_UINT32 | prcw [OPJ_J2K_MAXRLVLS]
| precinct width
OPJ_UINT32 | prch [OPJ_J2K_MAXRLVLS]
| precinct height

## Detailed Description

Tile-component coding parameters information.

## Field Documentation

## ◆ cblkh

OPJ_UINT32 opj_tccp_info::cblkh

log2 of code-blocks height

Referenced by j2k_get_cstr_info().

## ◆ cblksty

OPJ_UINT32 opj_tccp_info::cblksty

code-block coding style

Referenced by j2k_get_cstr_info().

## ◆ cblkw

OPJ_UINT32 opj_tccp_info::cblkw

log2 of code-blocks width

Referenced by j2k_get_cstr_info().

## ◆ compno

OPJ_UINT32 opj_tccp_info::compno

component index

## ◆ csty

OPJ_UINT32 opj_tccp_info::csty

coding style

Referenced by j2k_get_cstr_info().

## ◆ numgbits

OPJ_UINT32 opj_tccp_info::numgbits

number of guard bits

Referenced by j2k_get_cstr_info().

## ◆ numresolutions

OPJ_UINT32 opj_tccp_info::numresolutions

number of resolutions

Referenced by j2k_get_cstr_info().

## ◆ prch

OPJ_UINT32 opj_tccp_info::prch[OPJ_J2K_MAXRLVLS]

precinct height

Referenced by j2k_get_cstr_info().

## ◆ prcw

OPJ_UINT32 opj_tccp_info::prcw[OPJ_J2K_MAXRLVLS]

precinct width

Referenced by j2k_get_cstr_info().

## ◆ qmfbid

OPJ_UINT32 opj_tccp_info::qmfbid

discrete wavelet transform identifier: 0 = 9-7 irreversible, 1 = 5-3 reversible

Referenced by j2k_get_cstr_info().

## ◆ qntsty

OPJ_UINT32 opj_tccp_info::qntsty

quantisation style

Referenced by j2k_get_cstr_info().

## ◆ roishift

OPJ_INT32 opj_tccp_info::roishift

Region Of Interest shift.

Referenced by j2k_get_cstr_info().

## ◆ stepsizes_expn

OPJ_UINT32 opj_tccp_info::stepsizes_expn[OPJ_J2K_MAXBANDS]

stepsizes used for quantization

Referenced by j2k_get_cstr_info().

## ◆ stepsizes_mant

OPJ_UINT32 opj_tccp_info::stepsizes_mant[OPJ_J2K_MAXBANDS]

stepsizes used for quantization

Referenced by j2k_get_cstr_info().

The documentation for this struct was generated from the following file:

- openjpeg.h